
import 'dart:async';

import 'package:farmer_client/utils/timer.dart';
import 'package:flutter/widgets.dart';
import 'package:get/get.dart';

// Widget countdown(void Function() onFinish) {
//   int _countdown = 3;
//   late StateSetter _update;
//   late Timer _timer;
//   _timer = setInterval((_) {
//     if (_countdown <= 1) {
//       _timer.cancel();
//       onFinish();
//       return;
//     }
//
//     _update((){
//       _countdown -= 1;
//     });
//   }, 1000);
//
//   return StatefulBuilder(builder: (context, setState) {
//     _update = setState;
//     return Text(_countdown.toString());
//   });
// }

Widget countdown(int sec, void Function() onFinish) {
  var _countdown = Rx<int>(sec);

  late Timer _timer;
  _timer = setInterval((_) {
    if (_countdown.value <= 1) {
      _timer.cancel();
      onFinish();
      return;
    }

    _countdown.value -= 1;
  }, 1000);

  return Obx(() =>Text(_countdown.value.toString()));
}
